Object.defineProperty(exports, "__esModule", { value: true });
exports.$writeFile = void 0;
const promises_1 = require("node:fs/promises");
const example = () => { };
console.info(example.toString());
const $writeFile = async (filename, data) => {
    // detect falsy values
    if (!data) {
        console.error('$writeFile no using falsy values');
        return;
    }
    try {
        /* const store = typeof data === 'object'
          ? JSON.stringify(data)
          : data */
        // detect based in types
        switch (true) {
            case Array.isArray(data):
            case typeof data === 'function':
            case typeof data === 'number':
            case typeof data === 'function':
            case typeof data === 'bigint':
                await (0, promises_1.writeFile)(filename, data.toString());
            case data instanceof Map:
                const obj = Object.entries(data);
                await (0, promises_1.writeFile)(filename, JSON.stringify(data));
            case typeof data === 'object' && !(data instanceof Map) && !(data instanceof Array):
                await (0, promises_1.writeFile)(filename, JSON.stringify(data));
            case typeof data === 'symbol':
                console.info('$writeFile no using symbol values');
            case typeof data === 'boolean':
                console.info('$writeFile no using boolean values');
            default:
                await (0, promises_1.writeFile)(filename, data);
        }
    }
    catch (err) {
        console.error(err.message);
    }
    finally {
        console.info('finish function');
    }
};
exports.$writeFile = $writeFile;
